Page MenuHomeFreeBSD

security/gopass: update to 1.12.4
ClosedPublic

Authored by eduardo on Mar 21 2021, 6:16 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:15 AM
Unknown Object (File)
Fri, Feb 16, 6:15 AM
Unknown Object (File)
Fri, Feb 16, 5:47 AM
Unknown Object (File)
Thu, Feb 8, 11:49 AM
Unknown Object (File)
Jan 29 2024, 7:42 AM
Unknown Object (File)
Jan 15 2024, 6:08 PM
Subscribers

Details

Summary
security/gopass: Update to 1.12.4

Manpage is now installed by the `make install` command, there is no need to
install it in the `post-build` target anymore.

Changelog:  https://github.com/gopasspw/gopass/blob/v1.12.4/CHANGELOG.md

Approved by:	dbaio, garga (mentors)
Differential Revision:	https://reviews.freebsd.org/D29358
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

eduardo edited the summary of this revision. (Show Details)

remove

cd ${GO_WRKSRC} && \
              ${SETENV} ${MAKE_ENV} ${GO_ENV} ${GO_CMD} run ${GO_BUILDFLAGS} ./helpers/man/main.go > ${PORTNAME}.1

since version 1.12.3:
[ENHANCEMENT] Install manpage when using make install (#1845)

Makefile
78–79 ↗(On Diff #86098)

[ENHANCEMENT] Install manpage when using make install (#1845)

dbaio edited the summary of this revision. (Show Details)

I've updated your commit message, try to write why you made those changes (here in the ports tree).

Besides the update, you removed a command that install the manpage manually, which is noted in the changelog but will be clear this way.

This is my suggestion of course, there are people that like to write the full program changelog here in the commit message...

I prefer to separate the Port changelog from the Program changelog.

This revision is now accepted and ready to land.Mar 21 2021, 1:43 PM
This revision was automatically updated to reflect the committed changes.

This is my suggestion of course, there are people that like to write the full program changelog here in the commit message...

I prefer to separate the Port changelog from the Program changelog.

Ok, I will always use a separate changelog link in the future.